# Gimp.Drawable.prototype.offset

    function offset(wrap_around: Boolean, fill_type: Gimp.OffsetType, offset_x: Number(gint), offset_y: Number(gint)): Boolean {
        // Gjs wrapper for gimp_drawable_offset()
    }

Offset the drawable by the specified amounts in the X and Y directions

This procedure offsets the specified drawable by the amounts specified by 'offset_x' and 'offset_y'. If 'wrap_around' is set to TRUE, then portions of the drawable which are offset out of bounds are wrapped around. Alternatively, the undefined regions of the drawable can be filled with transparency or the background color, as specified by the 'fill-type' parameter.

wrap_around

  wrap image around or fill vacated regions.

fill_type

  fill vacated regions of drawable with background or transparent.

offset_x

  offset by this amount in X direction.

offset_y

  offset by this amount in Y direction.

Returns

  TRUE on success.